Managed Instances - Reevaluate Inaccessible Database State
Service:
SQL Database
API Version:
2025-01-01
Reevaluates the inaccessibility state of all managed databases.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/reevaluateInaccessibleDatabaseState?api-version=2025-01-01
URI Parameters
Name
In
Required
Type
Description
managedInstanceName
path
True
string
The name of the managed instance.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
The name of the resource group. The name is case insensitive.
subscriptionId
path
True
string
(uuid)
The ID of the target subscription. The value must be an UUID.
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance/reevaluateInaccessibleDatabaseState?api-version=2025-01-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python managed_instance_reevaluate_inaccessible_database_state.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.managed_instances.begin_reevaluate_inaccessible_database_state(
resource_group_name="testrg",
managed_instance_name="testinstance",
).result()
# x-ms-original-file: 2025-01-01/ManagedInstanceReevaluateInaccessibleDatabaseState.json
if __name__ == "__main__":
main()
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to reevaluates the inaccessibility state of all managed databases.
*
* @summary reevaluates the inaccessibility state of all managed databases.
* x-ms-original-file: 2025-01-01/ManagedInstanceReevaluateInaccessibleDatabaseState.json
*/
async function reevaluateInaccessibilityStatesOfAllManagedDatabases() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
await client.managedInstances.reevaluateInaccessibleDatabaseState("testrg", "testinstance");
}
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ManagedInstanceReevaluateInaccessibleDatabaseState.json
// this example is just showing the usage of "ManagedInstances_ReevaluateInaccessibleDatabaseState" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ManagedInstanceResource created on azure
// for more information of creating ManagedInstanceResource, please refer to the document of ManagedInstanceResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "testrg";
string managedInstanceName = "testinstance";
ResourceIdentifier managedInstanceResourceId = ManagedInstanceResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, managedInstanceName);
ManagedInstanceResource managedInstance = client.GetManagedInstanceResource(managedInstanceResourceId);
// invoke the operation
await managedInstance.ReevaluateInaccessibleDatabaseStateAsync(WaitUntil.Completed);
Console.WriteLine("Succeeded");